g = @(x, p) [ x(1:2);                  % Function for joint distribution
              hypot(x(1)-p(1), x(2)-p(2)) + x(3);
              atan2(x(2)-p(2), x(1)-p(2)) + x(4); ];
Xhat0 = ndist([100; 100], 400*eye(2))  % Prior

e1 = ndist([0; 0], cov(y1));           % Approximate the joint distribution
U1 = tt1eval([Xhat0; e1], g, p1);
[xhat1, P1] = condition(U1, mean(y1), [3, 4]);  % Perfrom conditioning
Xhat1 = ndist(xhat1, P1)

e2 = ndist([0; 0], cov(y2));
U2 = tt1eval([Xhat1; e2], g, p2);      % Approximate the joint distribution
[xhat2, P2] = condition(U2, mean(y2), [3, 4]);  % Perfrom conditioning
Xhat2 = ndist(xhat2, P2)

plot(p1(1), p1(2), '.b',...
     p2(1), p2(2), '.g',...
     'markersize', 15);
hold on;
text(p1(1), p1(2), 'S1');
text(p2(1), p2(2), 'S2');
plot2(Xhat0, Xhat1, Xhat2, 'legend', 'off');
