hinv= @(R, Phi, p) [p(1) + R * cos(Phi);
                    p(2) + R * sin(Phi)];

R1 = ndist(100 * sqrt(2), 5);
Phi1 = ndist(pi/4, 0.1);
p1 = [0; 0];

R2 = ndist(100 * sqrt(2), 5);
Phi2 = ndist(3 * pi/4, 0.1);
p2 = [200; 0];

xhat1 = hinv(R1, Phi1, p1);
xhat2 = hinv(R2, Phi2, p2);

plot(p1(1), p1(2), '.b',...
     p2(1), p2(2), '.g',...
     'markersize', 15);
hold on;
text(p1(1), p1(2), 'S1');
text(p2(1), p2(2), 'S2');

plot2(xhat1, xhat2, 'legend', 'off');

y1 = [R1; Phi1];  y2 = [R2; Phi2];
